---
sidebar_position: 0
---

import ReactPlayer from 'react-player'

# Introduction

<div className="video__wrapper">
    <ReactPlayer className="video__player" controls height="100%" url="/remotedevenv.mp4" width="100%" />
</div>

<!-- You can check my [Portfolio](https://chamseddineabd.netlify.com) -->

## Project Purpose

I created a remote development environment project to tackle all the challenges posed by the increasing complexity of software and the need to recruit new developers. As I noticed, setting up a development environment manually can be a time-consuming process, particularly for new developers who are not familiar with the system. Therefore, my project aims to leverage cloud-based technologies such as GCP, Ansible, Terraform, AWX, CI/CD, Kubernetes, and SSO with Keycloak to streamline the setup process and allow developers to start creating software efficiently. With my project, developers can access a secure and flexible platform that can be accessed from anywhere, using any device, and eliminate the constraints of hardware or software requirements.

![thumbnail](/img/thumbnail.png)

